commit: 85715b1c3a2ed6df14b10924ddfd002a9d3f2bde
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 1 12:11:38 2022 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Jun 1 12:11:46 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85715b1c
sys-libs/libblockdev: Bump to version 2.27
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
sys-libs/libblockdev/Manifest | 1 +
sys-libs/libblockdev/libblockdev-2.27.ebuild | 128 +++++++++++++++++++++++++++
2 files changed, 129 insertions(+)
diff --git a/sys-libs/libblockdev/Manifest b/sys-libs/libblockdev/Manifest
index 84b8e10b03ef..f57d6fe309d0 100644
--- a/sys-libs/libblockdev/Manifest
+++ b/sys-libs/libblockdev/Manifest
@@ -1 +1,2 @@
DIST libblockdev-2.26.tar.gz 932129 BLAKE2B
39d95db69de917449e6009fa0160b6288327b2c49b64309d17a1e4e028756d1ce170779ce1c4df926c8796d8a8ed7b9131b5d4b51115a3ea901dacdaa971961a
SHA512
ddd4e9c22135bd7dad0bb9bc254ac0c63e3bacc592e7c5a0c846e367da3fc248bf6187f1c81407c3bce599d3b0ceeec9a8a0030ad8e981e245f715b35eaec523
+DIST libblockdev-2.27.tar.gz 914021 BLAKE2B
1e02a364ac918cc9bb288d3b8745cb09378317c4b509224326d13ff8b6481ba3d44502f248680801316a9a94d7d5eac353c5659eca55a681c88511da5dfc83da
SHA512
fa9faf3efefc1c76165c9456936175b2addb336a5257c43c1e41403db200386fd660203ef17559529f57b2f57b9ef768686ecd31493c58527434297c31712c10
diff --git a/sys-libs/libblockdev/libblockdev-2.27.ebuild
b/sys-libs/libblockdev/libblockdev-2.27.ebuild
new file mode 100644
index 000000000000..c62582bdf020
--- /dev/null
+++ b/sys-libs/libblockdev/libblockdev-2.27.ebuild
@@ -0,0 +1,128 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit autotools python-single-r1 xdg-utils
+
+DESCRIPTION="A library for manipulating block devices"
+HOMEPAGE="https://github.com/storaged-project/libblockdev"
+if [[ "${PV}" == *9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/storaged-project/libblockdev.git"
+ BDEPEND="
+ sys-devel/autoconf-archive
+ "
+else
+ MY_PV="${PV}-1"
+ #MY_P="${PN}-${MY_PV}"
+
#SRC_URI="https://github.com/storaged-project/${PN}/archive/${MY_PV}.tar.gz ->
${MY_P}.tar.gz"
+
SRC_URI="https://github.com/storaged-project/${PN}/releases/download/${MY_PV}/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~mips ~ppc ~ppc64
~riscv ~sparc ~x86"
+ #S="${WORKDIR}/${MY_P}"
+fi
+LICENSE="LGPL-2+"
+SLOT="0"
+IUSE="bcache +cryptsetup device-mapper dmraid escrow gtk-doc introspection lvm
kbd test +tools vdo"
+# Tests require root. In a future release, we may be able to run a smaller
+# subset with new run_tests.py arguments.
+RESTRICT="!test? ( test ) test"
+
+RDEPEND="
+ >=dev-libs/glib-2.42.2
+ dev-libs/libbytesize
+ >=sys-apps/kmod-19
+ >=sys-apps/util-linux-2.27
+ >=sys-block/parted-3.1
+ cryptsetup? (
+ escrow? (
+ >=dev-libs/nss-3.18.0
+ dev-libs/volume_key
+ )
+ >=sys-fs/cryptsetup-1.6.7:=
+ )
+ device-mapper? ( sys-fs/lvm2 )
+ dmraid? (
+ sys-fs/dmraid
+ sys-fs/lvm2
+ )
+ lvm? (
+ sys-fs/lvm2
+ virtual/udev
+ )
+ vdo? ( dev-libs/libyaml )
+ ${PYTHON_DEPS}
+"
+
+DEPEND="
+ ${RDEPEND}
+"
+
+BDEPEND+="
+ dev-util/gtk-doc-am
+ gtk-doc? ( dev-util/gtk-doc )
+ introspection? ( >=dev-libs/gobject-introspection-1.3.0 )
+"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ escrow? ( cryptsetup )"
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ xdg_environment_reset #623992
+ default
+
+ # https://bugs.gentoo.org/744289
+ find -type f \( -name "Makefile.am" -o -name "configure.ac" \) -print0 \
+ | xargs --null sed "s@ -Werror@@" -i || die
+
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --with-btrfs
+ --with-fs
+ --with-part
+ --with-python3
+ --without-mpath
+ --without-nvdimm
+ --without-python2
+ $(use_enable introspection)
+ $(use_enable test tests)
+ $(use_with bcache)
+ $(use_with cryptsetup crypto)
+ $(use_with device-mapper dm)
+ $(use_with dmraid)
+ $(use_with escrow)
+ $(use_with gtk-doc)
+ $(use_with kbd)
+ $(use_with lvm lvm)
+ $(use_with lvm lvm-dbus)
+ $(use_with tools)
+ $(use_with vdo)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_test() {
+ # See http://storaged.org/libblockdev/ch03.html
+ # The 'check' target just does Pylint.
+ # ... but it needs root.
+ emake test
+}
+
+src_install() {
+ default
+ find "${ED}" -type f -name "*.la" -delete || die
+ # This is installed even with USE=-lvm, but libbd_lvm are omitted so it
+ # doesn't work at all.
+ if ! use lvm ; then
+ rm -f "${ED}"/usr/bin/lvm-cache-stats || die
+ fi
+ python_optimize #718576
+}